// This file is generated by kconfig_compiler_kf5 from diskmonitor.kcfg.
// All changes you do to this file will be lost.
#ifndef DISKMONITORSETTINGS_H
#define DISKMONITORSETTINGS_H

#include <iconmode.h>
#include <configskeleton.h>

#include <kconfigskeleton.h>
#include <QCoreApplication>
#include <QDebug>

class DiskMonitorSettings : public Settings::ConfigSkeleton
{
  public:

    static DiskMonitorSettings *self();
    ~DiskMonitorSettings() override;

    /**
      Set Defines the color used for errors.
    */
    static
    void setErrorColor( const QColor & v )
    {
      if (!self()->isErrorColorImmutable())
        self()->mErrorColor = v;
    }

    /**
      Get Defines the color used for errors.
    */
    static
    QColor errorColor()
    {
      return self()->mErrorColor;
    }

    /**
      Is Defines the color used for errors. Immutable
    */
    static
    bool isErrorColorImmutable()
    {
      return self()->isImmutable( QStringLiteral( "ErrorColor" ) );
    }

    /**
      Set Defines the color used for warnings.
    */
    static
    void setWarningColor( const QColor & v )
    {
      if (!self()->isWarningColorImmutable())
        self()->mWarningColor = v;
    }

    /**
      Get Defines the color used for warnings.
    */
    static
    QColor warningColor()
    {
      return self()->mWarningColor;
    }

    /**
      Is Defines the color used for warnings. Immutable
    */
    static
    bool isWarningColorImmutable()
    {
      return self()->isImmutable( QStringLiteral( "WarningColor" ) );
    }

    /**
      Set IconMode
    */
    static
    void setIconMode( int v )
    {
      if (!self()->isIconModeImmutable())
        self()->mIconMode = v;
    }

    /**
      Get IconMode
    */
    static
    int iconMode()
    {
      return self()->mIconMode;
    }

    /**
      Is IconMode Immutable
    */
    static
    bool isIconModeImmutable()
    {
      return self()->isImmutable( QStringLiteral( "IconMode" ) );
    }

    /**
      Set Defines the icon used for healthy unit.
    */
    static
    void setHealthyIcon( const QString & v )
    {
      if (!self()->isHealthyIconImmutable())
        self()->mHealthyIcon = v;
    }

    /**
      Get Defines the icon used for healthy unit.
    */
    static
    QString healthyIcon()
    {
      return self()->mHealthyIcon;
    }

    /**
      Is Defines the icon used for healthy unit. Immutable
    */
    static
    bool isHealthyIconImmutable()
    {
      return self()->isImmutable( QStringLiteral( "HealthyIcon" ) );
    }

    /**
      Set Defines the icon used for failing unit.
    */
    static
    void setFailingIcon( const QString & v )
    {
      if (!self()->isFailingIconImmutable())
        self()->mFailingIcon = v;
    }

    /**
      Get Defines the icon used for failing unit.
    */
    static
    QString failingIcon()
    {
      return self()->mFailingIcon;
    }

    /**
      Is Defines the icon used for failing unit. Immutable
    */
    static
    bool isFailingIconImmutable()
    {
      return self()->isImmutable( QStringLiteral( "FailingIcon" ) );
    }

    /**
      Set Defines the icon used when health status is unknown.
    */
    static
    void setUnknownIcon( const QString & v )
    {
      if (!self()->isUnknownIconImmutable())
        self()->mUnknownIcon = v;
    }

    /**
      Get Defines the icon used when health status is unknown.
    */
    static
    QString unknownIcon()
    {
      return self()->mUnknownIcon;
    }

    /**
      Is Defines the icon used when health status is unknown. Immutable
    */
    static
    bool isUnknownIconImmutable()
    {
      return self()->isImmutable( QStringLiteral( "UnknownIcon" ) );
    }

    /**
      Set Defines the attributes considered sensitive.
    */
    static
    void setSensitiveAttributes( const QList<int> & v )
    {
      if (!self()->isSensitiveAttributesImmutable())
        self()->mSensitiveAttributes = v;
    }

    /**
      Get Defines the attributes considered sensitive.
    */
    static
    QList<int> sensitiveAttributes()
    {
      return self()->mSensitiveAttributes;
    }

    /**
      Is Defines the attributes considered sensitive. Immutable
    */
    static
    bool isSensitiveAttributesImmutable()
    {
      return self()->isImmutable( QStringLiteral( "SensitiveAttributes" ) );
    }

  protected:
    DiskMonitorSettings();
    friend class DiskMonitorSettingsHelper;


    // Appearance
    QColor mErrorColor;
    QColor mWarningColor;
    int mIconMode;
    QString mHealthyIcon;
    QString mFailingIcon;
    QString mUnknownIcon;

    // SMART
    QList<int> mSensitiveAttributes;

  private:
};

#endif

